Skip to main content
POST
/
v1
/
components
/
{component_id}
/
configs
/
docker-build
create a docker build component config
curl --request POST \
  --url https://api.nuon.co/v1/components/{component_id}/configs/docker-build \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dockerfile": "<string>",
  "app_config_id": "<string>",
  "auto_approve_on_policies_passing": true,
  "build_args": [
    "<string>"
  ],
  "build_timeout": "<string>",
  "checksum": "<string>",
  "default_enabled": true,
  "dependencies": [
    "<string>"
  ],
  "deploy_timeout": "<string>",
  "env_vars": {},
  "max_auto_retries": 123,
  "operation_roles": {},
  "references": [
    "<string>"
  ],
  "skip_noops": true,
  "target": "<string>",
  "toggleable": true
}
'
import requests

url = "https://api.nuon.co/v1/components/{component_id}/configs/docker-build"

payload = {
"dockerfile": "<string>",
"app_config_id": "<string>",
"auto_approve_on_policies_passing": True,
"build_args": ["<string>"],
"build_timeout": "<string>",
"checksum": "<string>",
"default_enabled": True,
"dependencies": ["<string>"],
"deploy_timeout": "<string>",
"env_vars": {},
"max_auto_retries": 123,
"operation_roles": {},
"references": ["<string>"],
"skip_noops": True,
"target": "<string>",
"toggleable": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dockerfile: '<string>',
app_config_id: '<string>',
auto_approve_on_policies_passing: true,
build_args: ['<string>'],
build_timeout: '<string>',
checksum: '<string>',
default_enabled: true,
dependencies: ['<string>'],
deploy_timeout: '<string>',
env_vars: {},
max_auto_retries: 123,
operation_roles: {},
references: ['<string>'],
skip_noops: true,
target: '<string>',
toggleable: true
})
};

fetch('https://api.nuon.co/v1/components/{component_id}/configs/docker-build', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "build_args": [
    "<string>"
  ],
  "component_config_connection_id": "<string>",
  "connected_github_vcs_config": {
    "branch": "<string>",
    "component_config_id": "<string>",
    "component_config_type": "<string>",
    "created_at": "<string>",
    "created_by_id": "<string>",
    "directory": "<string>",
    "id": "<string>",
    "path_filter": "<string>",
    "repo": "<string>",
    "repo_name": "<string>",
    "repo_owner": "<string>",
    "updated_at": "<string>",
    "vcs_connection": {
      "created_at": "<string>",
      "created_by_id": "<string>",
      "github_account_id": "<string>",
      "github_account_name": "<string>",
      "github_install_id": "<string>",
      "id": "<string>",
      "queues": [
        {
          "created_at": "<string>",
          "created_by_id": "<string>",
          "emitters": [
            {
              "created_at": "<string>",
              "created_by_id": "<string>",
              "cron_schedule": "<string>",
              "description": "<string>",
              "emit_count": 123,
              "fired": true,
              "id": "<string>",
              "jitter_window": 123,
              "last_emitted_at": "<string>",
              "name": "<string>",
              "next_emit_at": "<string>",
              "org_id": "<string>",
              "queue_id": "<string>",
              "scheduled_at": "<string>",
              "signal_expires_in": 123,
              "signal_template": {
                "signal": "<unknown>"
              },
              "signal_type": "<string>",
              "status": {
                "created_at_ts": 123,
                "created_by_id": "<string>",
                "history": "<array>",
                "metadata": {},
                "status_human_description": "<string>"
              },
              "updated_at": "<string>",
              "workflow": {
                "id": "<string>",
                "namespace": "<string>",
                "run_id": "<string>"
              }
            }
          ],
          "id": "<string>",
          "idle_timeout": 123,
          "max_depth": 123,
          "max_in_flight": 123,
          "metadata": {},
          "name": "<string>",
          "org_id": "<string>",
          "owner_id": "<string>",
          "owner_type": "<string>",
          "queue_signal": [
            {
              "callback": {
                "namespace": "<string>",
                "signal_name": "<string>",
                "workflow_id": "<string>"
              },
              "callbacks": [
                {
                  "namespace": "<string>",
                  "signal_name": "<string>",
                  "workflow_id": "<string>"
                }
              ],
              "created_at": "<string>",
              "created_by_id": "<string>",
              "emitter_id": "<string>",
              "enqueued": true,
              "execution_count": 123,
              "expires_at": "<string>",
              "id": "<string>",
              "org_id": "<string>",
              "owner_id": "<string>",
              "owner_type": "<string>",
              "queue": "<unknown>",
              "queue_id": "<string>",
              "signal": {
                "signal": "<unknown>"
              },
              "signal_context": {
                "account_id": "<string>",
                "log_stream_id": "<string>",
                "org_id": "<string>",
                "trace_id": "<string>"
              },
              "status": {
                "created_at_ts": 123,
                "created_by_id": "<string>",
                "history": "<array>",
                "metadata": {},
                "status_human_description": "<string>"
              },
              "type": "<string>",
              "updated_at": "<string>",
              "workflow": {
                "id": "<string>",
                "namespace": "<string>",
                "run_id": "<string>"
              }
            }
          ],
          "status_v2": {
            "created_at_ts": 123,
            "created_by_id": "<string>",
            "history": "<array>",
            "metadata": {},
            "status_human_description": "<string>"
          },
          "updated_at": "<string>",
          "workflow": {
            "id": "<string>",
            "namespace": "<string>",
            "run_id": "<string>"
          }
        }
      ],
      "status": {
        "created_at_ts": 123,
        "created_by_id": "<string>",
        "history": "<array>",
        "metadata": {},
        "status_human_description": "<string>"
      },
      "updated_at": "<string>",
      "vcs_connection_commit": [
        {
          "author_email": "<string>",
          "author_name": "<string>",
          "created_at": "<string>",
          "created_by_id": "<string>",
          "id": "<string>",
          "message": "<string>",
          "owner_id": "<string>",
          "owner_type": "<string>",
          "sha": "<string>",
          "updated_at": "<string>",
          "vcs_connection_id": "<string>"
        }
      ]
    },
    "vcs_connection_id": "<string>"
  },
  "created_at": "<string>",
  "created_by_id": "<string>",
  "dockerfile": "<string>",
  "env_vars": {},
  "id": "<string>",
  "public_git_vcs_config": {
    "branch": "<string>",
    "component_config_id": "<string>",
    "component_config_type": "<string>",
    "created_at": "<string>",
    "created_by_id": "<string>",
    "directory": "<string>",
    "id": "<string>",
    "path_filter": "<string>",
    "repo": "<string>",
    "updated_at": "<string>"
  },
  "target": "<string>",
  "updated_at": "<string>"
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and token.

Path Parameters

component_id
string
required

component ID

Body

application/json

Input

dockerfile
string
required
app_config_id
string
auto_approve_on_policies_passing
boolean
build_args
string[]
build_timeout
string

Duration string for build operations (e.g., "30m", "1h")

checksum
string
connected_github_vcs_config
object
default_enabled
boolean
dependencies
string[]
deploy_timeout
string

Duration string for deploy operations (e.g., "30m", "1h")

env_vars
object
max_auto_retries
integer
operation_roles
object
public_git_vcs_config
object
references
string[]
skip_noops
boolean
target
string
toggleable
boolean

Response

Created

build_args
string[]
component_config_connection_id
string

value

connected_github_vcs_config
object
created_at
string
created_by_id
string
dockerfile
string
env_vars
object
id
string
public_git_vcs_config
object
target
string
updated_at
string